Package weka.core

# Class UnassignedClassException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
weka.core.UnassignedClassException

All Implemented Interfaces:
  `Serializable`

public class UnassignedClassException extends RuntimeException
Exception that is raised when trying to use some data that has no class assigned to it, but a class is needed to perform the operation.

Version:
  $Revision: 1.5 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnassignedClassException()`
Creates a new UnassignedClassException with no message.
`UnassignedClassException(String message)`
Creates a new UnassignedClassException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnassignedClassException

public UnassignedClassException()
Creates a new UnassignedClassException with no message.

### UnassignedClassException

public UnassignedClassException(String message)
Creates a new UnassignedClassException.

Parameters:
  `message` - the reason for raising an exception.